import 'package:Mobile_POS/main.dart';
import 'package:flutter/material.dart';

class LoginScreen extends StatefulWidget {
  @override
  _LoginScreenState createState() => _LoginScreenState();
}

class _LoginScreenState extends State<LoginScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SingleChildScrollView(
        child: Container(
          width: double.infinity,
          padding: EdgeInsets.symmetric(horizontal: 20),
          color: Colors.deepOrange,
          child: Column(
            children: [
              SizedBox(height: 100,),
              Icon(
                  Icons.food_bank_outlined,
                size: 200,
                color: Colors.white,
              ),
              Text(
                  'Simon\'s BBQ Team',
                style: TextStyle(
                  fontSize: 24,
                  color: Colors.white,
                  decoration: TextDecoration.none
                ),
              ),
              SizedBox(height: 30,),
              TextField(
                decoration: InputDecoration(
                  labelText: 'Email or Username',
                  labelStyle: TextStyle(
                    fontSize: 24,
                  ),
                  filled: true,
                  fillColor: Colors.white38,
                ),
              ),
              SizedBox(height: 10,),
              TextField(
                decoration: InputDecoration(
                  labelText: 'Password',
                  labelStyle: TextStyle(
                    fontSize: 24,
                  ),
                  filled: true,
                  fillColor: Colors.white38,
                ),
                obscureText: true,
              ),
              SizedBox(height: 30,),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceAround,
                children: [
                  RaisedButton(
                    color: Colors.green,
                      onPressed: (){
                      Navigator.push(context, MaterialPageRoute(builder: (context) => MyHomePage()));
                      },
                    child: Container(
                      child: Row(
                        children: [
                          Icon(Icons.login),
                          Container(
                            width: 5,
                            height: 5,
                          ),
                          Text('Login'),
                        ],
                      ),
                    ),
                  ),
                  RaisedButton(
                    color: Colors.amberAccent,
                    onPressed: (){},
                    child: Container(
                      child: Row(
                        children: [
                          Icon(Icons.exit_to_app),
                          Container(
                            width: 5,
                            height: 5,
                          ),
                          Text('Exit'),
                        ],
                      ),
                    ),
                  ),
                ],
              ),
              SizedBox(height: 108,)
            ],
          ),
        ),
      ),
    );
  }
}
